Assigning parent task fails when a related issue is yet a sub issue of the new parent task

2014-09-11 18:23 - Tobias Fischer

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

We're working with parent issues a lot and we're facing an odd bug:

Let's imagine the following situation:

Issue #1 is the main issue for a feature

Issue #2 and #3 shall be sub-issues of issue #1

Issue #2 and #3 shall have a relation to each other (don't question that ;-)

Open up issue #2 and assign issue #1 as parent task.

Then add ticket #3 as normal ticket relation to ticket #2.

Then open up ticket #3 and try to assign issue #1 as parent task.

This won't work unless I remove the relation between issues #2 and #3

Action fails with error "Parent task is invalid"

After removing the relation between issues #2 and #3 I can assign issue #1 as parent task to #3.

I would expect redmine to be able to also assign #1 as parent task to #3 also if #3 yet has a relation to #2 which is yet a sub

issue of #1

Then, after having figured out that behaviour I would have expected that I can't re-add the relation between issues #2 and #3 – but

yes, that's possible.

Wow - this sounds weird, but it's reproducable!

Tested with 2.5.2 and current trunk.

Related issues:

Is duplicate of Redmine - Defect #13654: Can't set parent issue when issue re... Closed

History

#1 - 2014-10-10 09:51 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #13654.

#2 - 2014-10-10 09:52 - Toshi MARUYAMA

- Is duplicate of Defect #13654: Can't set parent issue when issue relations among child issues are present added
